KDE 4.2 PyKDE API Reference

- KDE's Python API

# StatementIterator Class Reference

`from PyKDE4.soprano import *`

Inherits: Soprano::StatementIteratorBase
Subclasses: Soprano::Client::DBusStatementIterator, Soprano::Util::SimpleStatementIterator
Namespace: Soprano

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, Soprano.StatementIteratorBackendBase sti)
| __init__ (self, Soprano.StatementIterator sti)
[Soprano.Statement] | allStatements (self)
Soprano.NodeIterator | iterateContexts (self)
Soprano.NodeIterator | iterateObjects (self)
Soprano.NodeIterator | iteratePredicates (self)
Soprano.NodeIterator | iterateSubjects (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Soprano.StatementIteratorBackendBase | sti
| ) |  |  |

__init__ | ( | self, |
|  | Soprano.StatementIterator | sti
| ) |  |  |

[Soprano.Statement] allStatements | ( |  | self ) |

Soprano.NodeIterator iterateContexts | ( |  | self ) |

Soprano.NodeIterator iterateObjects | ( |  | self ) |

Soprano.NodeIterator iteratePredicates | ( |  | self ) |

Soprano.NodeIterator iterateSubjects | ( |  | self ) |